Name:           tofi
Version:        0.9.1
# pre-release versioning is only for Copr builds and will be disabled on Fedora import
Release:        %autorelease -p
Summary:        Tiny dynamic menu for Wayland

License:        MIT
URL:            https://github.com/philj56/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson >= 0.61
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

%description
An extremely fast and simple dmenu/rofi replacement for wlroots-based
Wayland compositors such as Sway.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license LICENSE
%doc CHANGELOG.md
%doc README.md
%doc doc/config
%doc themes/
%dir %{_sysconfdir}/xdg/tofi
%config(noreplace) %{_sysconfdir}/xdg/tofi/config
%{_bindir}/tofi
%{_bindir}/tofi-drun
%{_bindir}/tofi-run
%{_datadir}/bash-completion/completions/tofi*
%{_mandir}/man1/tofi*.1*
%{_mandir}/man5/tofi.5*


%changelog
%autochangelog
